Index: sansmodels/src/c_models/lamellarPS.cpp
===================================================================
--- sansmodels/src/c_models/lamellarPS.cpp	(revision 67424cdc019bde2f4cbc089828ff660e6f914c2c)
+++ sansmodels/src/c_models/lamellarPS.cpp	(revision 82c11d354f0cffa7741bd2e74e0641e042eeb034)
@@ -23,25 +23,88 @@
 
 #include <math.h>
-#include "models.hh"
 #include "parameters.hh"
 #include <stdio.h>
+#include <stdlib.h>
 using namespace std;
+#include "lamellarPS.h"
 
 extern "C" {
-	#include "libCylinder.h"
-	#include "lamellarPS.h"
+#include "libCylinder.h"
+}
+
+/*LamellarPS_kernel() was moved from libigor to get rid of polydipersity in del(thickness) that we provide from control panel.
+  LamellarPSX  :  calculates the form factor of a lamellar structure - with S(q) effects included
+-------
+------- resolution effects ARE NOT included, but only a CONSTANT default value, not the real q-dependent resolution!!
+
+ */
+static double LamellarPS_kernel(double dp[], double q)
+{
+  double scale,dd,del,sld_bi,sld_sol,contr,NN,Cp,bkg;   //local variables of coefficient wave
+  double inten, qval,Pq,Sq,alpha,temp,t1,t2,t3,dQ;
+  double Pi,Euler,dQDefault,fii;
+  int ii,NNint;
+  Euler = 0.5772156649;   // Euler's constant
+  dQDefault = 0.0;    //[=] 1/A, q-resolution, default value
+  dQ = dQDefault;
+
+  Pi = 4.0*atan(1.0);
+  qval = q;
+
+  scale = dp[0];
+  dd = dp[1];
+  del = dp[2];
+  sld_bi = dp[3];
+  sld_sol = dp[4];
+  NN = trunc(dp[5]);    //be sure that NN is an integer
+  Cp = dp[6];
+  bkg = dp[7];
+
+  contr = sld_bi - sld_sol;
+
+  Pq = 2.0*contr*contr/qval/qval*(1.0-cos(qval*del));
+
+  NNint = (int)NN;    //cast to an integer for the loop
+  ii=0;
+  Sq = 0.0;
+  for(ii=1;ii<(NNint-1);ii+=1) {
+
+    fii = (double)ii;   //do I really need to do this?
+
+    temp = 0.0;
+    alpha = Cp/4.0/Pi/Pi*(log(Pi*ii) + Euler);
+    t1 = 2.0*dQ*dQ*dd*dd*alpha;
+    t2 = 2.0*qval*qval*dd*dd*alpha;
+    t3 = dQ*dQ*dd*dd*ii*ii;
+
+    temp = 1.0-ii/NN;
+    temp *= cos(dd*qval*ii/(1.0+t1));
+    temp *= exp(-1.0*(t2 + t3)/(2.0*(1.0+t1)) );
+    temp /= sqrt(1.0+t1);
+
+    Sq += temp;
+  }
+
+  Sq *= 2.0;
+  Sq += 1.0;
+
+  inten = 2.0*Pi*scale*Pq*Sq/(dd*qval*qval);
+
+  inten *= 1.0e8;   // 1/A to 1/cm
+
+  return(inten+bkg);
 }
 
 LamellarPSModel :: LamellarPSModel() {
-	scale      = Parameter(1.0);
-	spacing    = Parameter(400.0, true);
-	spacing.set_min(0.0);
-	delta     = Parameter(30.0);
-	delta.set_min(0.0);
-	sld_bi   = Parameter(6.3e-6);
-	sld_sol   = Parameter(1.0e-6);
-	n_plates     = Parameter(20.0);
-	caille = Parameter(0.1);
-	background = Parameter(0.0);
+  scale      = Parameter(1.0);
+  spacing    = Parameter(400.0, true);
+  spacing.set_min(0.0);
+  delta     = Parameter(30.0);
+  delta.set_min(0.0);
+  sld_bi   = Parameter(6.3e-6);
+  sld_sol   = Parameter(1.0e-6);
+  n_plates     = Parameter(20.0);
+  caille = Parameter(0.1);
+  background = Parameter(0.0);
 
 }
@@ -54,39 +117,39 @@
  */
 double LamellarPSModel :: operator()(double q) {
-	double dp[8];
+  double dp[8];
 
-	// Fill parameter array for IGOR library
-	// Add the background after averaging
-	dp[0] = scale();
-	dp[1] = spacing();
-	dp[2] = delta();
-	dp[3] = sld_bi();
-	dp[4] = sld_sol();
-	dp[5] = n_plates();
-	dp[6] = caille();
-	dp[7] = 0.0;
+  // Fill parameter array for IGOR library
+  // Add the background after averaging
+  dp[0] = scale();
+  dp[1] = spacing();
+  dp[2] = delta();
+  dp[3] = sld_bi();
+  dp[4] = sld_sol();
+  dp[5] = n_plates();
+  dp[6] = caille();
+  dp[7] = 0.0;
 
 
-	// Get the dispersion points for spacing and delta (thickness)
-	vector<WeightPoint> weights_spacing;
-	spacing.get_weights(weights_spacing);
-	vector<WeightPoint> weights_delta;
-	delta.get_weights(weights_delta);
+  // Get the dispersion points for spacing and delta (thickness)
+  vector<WeightPoint> weights_spacing;
+  spacing.get_weights(weights_spacing);
+  vector<WeightPoint> weights_delta;
+  delta.get_weights(weights_delta);
 
-	// Perform the computation, with all weight points
-	double sum = 0.0;
-	double norm = 0.0;
+  // Perform the computation, with all weight points
+  double sum = 0.0;
+  double norm = 0.0;
 
-	// Loop over short_edgeA weight points
-	for(int i=0; i< (int)weights_spacing.size(); i++) {
-		dp[1] = weights_spacing[i].value;
-		for(int j=0; j< (int)weights_spacing.size(); j++) {
-			dp[2] = weights_delta[i].value;
+  // Loop over short_edgeA weight points
+  for(int i=0; i< (int)weights_spacing.size(); i++) {
+    dp[1] = weights_spacing[i].value;
+    for(int j=0; j< (int)weights_spacing.size(); j++) {
+      dp[2] = weights_delta[i].value;
 
-			sum += weights_spacing[i].weight * weights_delta[j].weight * LamellarPS_kernel(dp, q);
-			norm += weights_spacing[i].weight * weights_delta[j].weight;
-		}
-	}
-	return sum/norm + background();
+      sum += weights_spacing[i].weight * weights_delta[j].weight * LamellarPS_kernel(dp, q);
+      norm += weights_spacing[i].weight * weights_delta[j].weight;
+    }
+  }
+  return sum/norm + background();
 }
 /**
@@ -97,6 +160,6 @@
  */
 double LamellarPSModel :: operator()(double qx, double qy) {
-	double q = sqrt(qx*qx + qy*qy);
-	return (*this).operator()(q);
+  double q = sqrt(qx*qx + qy*qy);
+  return (*this).operator()(q);
 }
 
@@ -109,5 +172,5 @@
  */
 double LamellarPSModel :: evaluate_rphi(double q, double phi) {
-	return (*this).operator()(q);
+  return (*this).operator()(q);
 }
 /**
@@ -116,6 +179,6 @@
  */
 double LamellarPSModel :: calculate_ER() {
-//NOT implemented yet!!!
-	return 0.0;
+  //NOT implemented yet!!!
+  return 0.0;
 }
 
Index: sansmodels/src/c_models/lamellarPS_HG.cpp
===================================================================
--- sansmodels/src/c_models/lamellarPS_HG.cpp	(revision 67424cdc019bde2f4cbc089828ff660e6f914c2c)
+++ sansmodels/src/c_models/lamellarPS_HG.cpp	(revision 82c11d354f0cffa7741bd2e74e0641e042eeb034)
@@ -18,17 +18,15 @@
  *   sansmodels/src/libigor
  *
- *	TODO: refactor so that we pull in the old sansmodels.c_extensions
  *	TODO: add 2D function
  */
 
 #include <math.h>
-#include "models.hh"
 #include "parameters.hh"
 #include <stdio.h>
 using namespace std;
+#include "lamellarPS_HG.h"
 
 extern "C" {
 	#include "libCylinder.h"
-	#include "lamellarPS_HG.h"
 }
 
@@ -137,47 +135,2 @@
 	return 0.0;
 }
-
-/*
-double LamellarPSHGModel :: operator()(double qx, double qy) {
-	LamellarPSHGParameters dp;
-	// Fill parameter array
-	dp.scale      = scale();
-	dp.spacing   = spacing();
-	dp.deltaT  = deltaT();
-	dp.deltaH = deltaH();
-	dp.sld_tail   = sld_tail();
-	dp.sld_head = sld_head();
-	dp.sld_solvent   = sld_solvent();
-	dp.n_plates = n_plates();
-	dp.caille = caille();
-	dp.background    = background();
-
-	// Get the dispersion points for the deltaT
-	vector<WeightPoint> weights_deltaT;
-	deltaT.get_weights(weights_deltaT);
-
-	// Get the dispersion points for the deltaH
-	vector<WeightPoint> weights_deltaH;
-	deltaH.get_weights(weights_deltaH);
-
-	// Perform the computation, with all weight points
-	double sum = 0.0;
-	double norm = 0.0;
-
-	// Loop over deltaT weight points
-	for(int i=0; i< (int)weights_deltaT.size(); i++) {
-		dp.deltaT = weights_deltaT[i].value;
-
-		// Loop over deltaH weight points
-		for(int j=0; j< (int)weights_deltaH.size(); j++) {
-			dp.deltaH = weights_deltaH[j].value;
-
-			sum += weights_deltaT[i].weight *weights_deltaH[j].weight *lamellarPS_HG_analytical_2DXY(&dp, qx, qy);
-			norm += weights_deltaT[i].weight * weights_deltaH[j].weight;
-		}
-	}
-	return sum/norm + background();
-}
-*/
-
-
Index: sansmodels/src/c_models/lorentzian.cpp
===================================================================
--- sansmodels/src/c_models/lorentzian.cpp	(revision 82c11d354f0cffa7741bd2e74e0641e042eeb034)
+++ sansmodels/src/c_models/lorentzian.cpp	(revision 82c11d354f0cffa7741bd2e74e0641e042eeb034)
@@ -0,0 +1,67 @@
+/**
+	This software was developed by the University of Tennessee as part of the
+	Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+	project funded by the US National Science Foundation.
+
+	If you use DANSE applications to do scientific research that leads to
+	publication, we ask that you acknowledge the use of the software with the
+	following sentence:
+
+	"This work benefited from DANSE software developed under NSF award DMR-0520547."
+
+	copyright 2008, University of Tennessee
+ */
+
+#include <math.h>
+#include "parameters.hh"
+#include <stdio.h>
+using namespace std;
+#include "lorentzian.h"
+
+Lorentzian :: Lorentzian() {
+  scale  = Parameter(1.0, true);
+  gamma  = Parameter(1.0, true);
+  center = Parameter(0.0, true);
+}
+
+/**
+ * Function to evaluate 1D scattering function
+  * @param q: q-value
+ * @return: function value
+ */
+double Lorentzian :: operator()(double q) {
+  double delta2 = pow( (q-center()), 2);
+  return scale() / acos(-1.0) * 0.5*gamma() /
+    (delta2 + 0.25*gamma()*gamma());
+}
+
+/**
+ * Function to evaluate 2D scattering function
+ * @param q_x: value of Q along x
+ * @param q_y: value of Q along y
+ * @return: function value
+ */
+double Lorentzian :: operator()(double qx, double qy) {
+  return (*this).operator()(qx) * (*this).operator()(qy);
+}
+
+/**
+ * Function to evaluate 2D scattering function
+ * @param pars: parameters of the cylinder
+ * @param q: q-value
+ * @param phi: angle phi
+ * @return: function value
+ */
+double Lorentzian :: evaluate_rphi(double q, double phi) {
+  double qx = q*cos(phi);
+  double qy = q*sin(phi);
+  return (*this).operator()(qx, qy);
+}
+/**
+ * Function to calculate effective radius
+ * @return: effective radius value
+ */
+double Lorentzian :: calculate_ER() {
+  //NOT implemented yet!!!
+  return 0.0;
+}
Index: sansmodels/src/c_models/multishell.cpp
===================================================================
--- sansmodels/src/c_models/multishell.cpp	(revision 67424cdc019bde2f4cbc089828ff660e6f914c2c)
+++ sansmodels/src/c_models/multishell.cpp	(revision 82c11d354f0cffa7741bd2e74e0641e042eeb034)
@@ -21,26 +21,37 @@
 
 #include <math.h>
-#include "models.hh"
 #include "parameters.hh"
 #include <stdio.h>
 using namespace std;
+#include "multishell.h"
 
 extern "C" {
-	#include "libSphere.h"
-	#include "multishell.h"
+#include "libSphere.h"
 }
 
+typedef struct {
+  double scale;
+  double core_radius;
+  double s_thickness;
+  double w_thickness;
+  double core_sld;
+  double shell_sld;
+  double n_pairs;
+  double background;
+
+} MultiShellParameters;
+
 MultiShellModel :: MultiShellModel() {
-	scale      = Parameter(1.0);
-	core_radius     = Parameter(60.0, true);
-	core_radius.set_min(0.0);
-	s_thickness  = Parameter(10.0, true);
-	s_thickness.set_min(0.0);
-	w_thickness   = Parameter(10.0, true);
-	w_thickness.set_min(0.0);
-	core_sld   = Parameter(6.4e-6);
-	shell_sld   = Parameter(4.0e-7);
-	n_pairs   = Parameter(2);
-	background = Parameter(0.0);
+  scale      = Parameter(1.0);
+  core_radius     = Parameter(60.0, true);
+  core_radius.set_min(0.0);
+  s_thickness  = Parameter(10.0, true);
+  s_thickness.set_min(0.0);
+  w_thickness   = Parameter(10.0, true);
+  w_thickness.set_min(0.0);
+  core_sld   = Parameter(6.4e-6);
+  shell_sld   = Parameter(4.0e-7);
+  n_pairs   = Parameter(2);
+  background = Parameter(0.0);
 }
 
@@ -52,58 +63,58 @@
  */
 double MultiShellModel :: operator()(double q) {
-	double dp[8];
+  double dp[8];
 
-	// Fill parameter array for IGOR library
-	// Add the background after averaging
-	dp[0] = scale();
-	dp[1] = core_radius();
-	dp[2] = s_thickness();
-	dp[3] = w_thickness();
-	dp[4] = core_sld();
-	dp[5] = shell_sld();
-	dp[6] = n_pairs();
-	dp[7] = 0.0;
+  // Fill parameter array for IGOR library
+  // Add the background after averaging
+  dp[0] = scale();
+  dp[1] = core_radius();
+  dp[2] = s_thickness();
+  dp[3] = w_thickness();
+  dp[4] = core_sld();
+  dp[5] = shell_sld();
+  dp[6] = n_pairs();
+  dp[7] = 0.0;
 
-	// Get the dispersion points for the core radius
-	vector<WeightPoint> weights_core_radius;
-	core_radius.get_weights(weights_core_radius);
+  // Get the dispersion points for the core radius
+  vector<WeightPoint> weights_core_radius;
+  core_radius.get_weights(weights_core_radius);
 
-	// Get the dispersion points for the s_thickness
-	vector<WeightPoint> weights_s_thickness;
-	s_thickness.get_weights(weights_s_thickness);
+  // Get the dispersion points for the s_thickness
+  vector<WeightPoint> weights_s_thickness;
+  s_thickness.get_weights(weights_s_thickness);
 
-	// Get the dispersion points for the w_thickness
-	vector<WeightPoint> weights_w_thickness;
-	w_thickness.get_weights(weights_w_thickness);
+  // Get the dispersion points for the w_thickness
+  vector<WeightPoint> weights_w_thickness;
+  w_thickness.get_weights(weights_w_thickness);
 
-	// Perform the computation, with all weight points
-	double sum = 0.0;
-	double norm = 0.0;
-	double vol = 0.0;
+  // Perform the computation, with all weight points
+  double sum = 0.0;
+  double norm = 0.0;
+  double vol = 0.0;
 
-	// Loop over radius weight points
-	for(int i=0; i< (int)weights_core_radius.size(); i++) {
-		dp[1] = weights_core_radius[i].value;
-		for(int j=0; j< (int)weights_s_thickness.size(); j++){
-			dp[2] = weights_s_thickness[j].value;
-			for(int k=0; k< (int)weights_w_thickness.size(); k++){
-				dp[3] = weights_w_thickness[k].value;
-				//Un-normalize SphereForm by volume
-				sum += weights_core_radius[i].weight*weights_s_thickness[j].weight
-					*weights_w_thickness[k].weight* MultiShell(dp, q)
-					*pow(weights_core_radius[i].value+dp[6]*weights_s_thickness[j].value+(dp[6]-1)*weights_w_thickness[k].value,3);
-				//Find average volume
-				vol += weights_core_radius[i].weight*weights_s_thickness[j].weight
-					*weights_w_thickness[k].weight
-					*pow(weights_core_radius[i].value+dp[6]*weights_s_thickness[j].value+(dp[6]-1)*weights_w_thickness[k].value,3);
-				norm += weights_core_radius[i].weight*weights_s_thickness[j].weight
-					*weights_w_thickness[k].weight;
-			}
-		}
-	}
-	if (vol != 0.0 && norm != 0.0) {
-		//Re-normalize by avg volume
-		sum = sum/(vol/norm);}
-	return sum/norm + background();
+  // Loop over radius weight points
+  for(int i=0; i< (int)weights_core_radius.size(); i++) {
+    dp[1] = weights_core_radius[i].value;
+    for(int j=0; j< (int)weights_s_thickness.size(); j++){
+      dp[2] = weights_s_thickness[j].value;
+      for(int k=0; k< (int)weights_w_thickness.size(); k++){
+        dp[3] = weights_w_thickness[k].value;
+        //Un-normalize SphereForm by volume
+        sum += weights_core_radius[i].weight*weights_s_thickness[j].weight
+            *weights_w_thickness[k].weight* MultiShell(dp, q)
+        *pow(weights_core_radius[i].value+dp[6]*weights_s_thickness[j].value+(dp[6]-1)*weights_w_thickness[k].value,3);
+        //Find average volume
+        vol += weights_core_radius[i].weight*weights_s_thickness[j].weight
+            *weights_w_thickness[k].weight
+            *pow(weights_core_radius[i].value+dp[6]*weights_s_thickness[j].value+(dp[6]-1)*weights_w_thickness[k].value,3);
+        norm += weights_core_radius[i].weight*weights_s_thickness[j].weight
+            *weights_w_thickness[k].weight;
+      }
+    }
+  }
+  if (vol != 0.0 && norm != 0.0) {
+    //Re-normalize by avg volume
+    sum = sum/(vol/norm);}
+  return sum/norm + background();
 }
 
@@ -115,6 +126,6 @@
  */
 double MultiShellModel :: operator()(double qx, double qy) {
-	double q = sqrt(qx*qx + qy*qy);
-	return (*this).operator()(q);
+  double q = sqrt(qx*qx + qy*qy);
+  return (*this).operator()(q);
 }
 
@@ -127,5 +138,5 @@
  */
 double MultiShellModel :: evaluate_rphi(double q, double phi) {
-	return (*this).operator()(q);
+  return (*this).operator()(q);
 }
 /**
@@ -134,52 +145,52 @@
  */
 double MultiShellModel :: calculate_ER() {
-	MultiShellParameters dp;
+  MultiShellParameters dp;
 
-	dp.core_radius     = core_radius();
-	dp.s_thickness  = s_thickness();
-	dp.w_thickness  = w_thickness();
-	dp.n_pairs = n_pairs();
+  dp.core_radius     = core_radius();
+  dp.s_thickness  = s_thickness();
+  dp.w_thickness  = w_thickness();
+  dp.n_pairs = n_pairs();
 
-	double rad_out = 0.0;
+  double rad_out = 0.0;
 
-	// Perform the computation, with all weight points
-	double sum = 0.0;
-	double norm = 0.0;
-	if (dp.n_pairs <= 0.0 ){
-		dp.n_pairs = 0.0;
-	}
+  // Perform the computation, with all weight points
+  double sum = 0.0;
+  double norm = 0.0;
+  if (dp.n_pairs <= 0.0 ){
+    dp.n_pairs = 0.0;
+  }
 
-	// Get the dispersion points for the core radius
-	vector<WeightPoint> weights_core_radius;
-	core_radius.get_weights(weights_core_radius);
+  // Get the dispersion points for the core radius
+  vector<WeightPoint> weights_core_radius;
+  core_radius.get_weights(weights_core_radius);
 
-	// Get the dispersion points for the s_thickness
-	vector<WeightPoint> weights_s_thickness;
-	s_thickness.get_weights(weights_s_thickness);
+  // Get the dispersion points for the s_thickness
+  vector<WeightPoint> weights_s_thickness;
+  s_thickness.get_weights(weights_s_thickness);
 
-	// Get the dispersion points for the w_thickness
-	vector<WeightPoint> weights_w_thickness;
-	w_thickness.get_weights(weights_w_thickness);
+  // Get the dispersion points for the w_thickness
+  vector<WeightPoint> weights_w_thickness;
+  w_thickness.get_weights(weights_w_thickness);
 
-	// Loop over major shell weight points
-	for(int i=0; i< (int)weights_s_thickness.size(); i++) {
-		dp.s_thickness = weights_s_thickness[i].value;
-		for(int j=0; j< (int)weights_w_thickness.size(); j++) {
-			dp.w_thickness = weights_w_thickness[j].value;
-			for(int k=0; k< (int)weights_core_radius.size(); k++) {
-				dp.core_radius = weights_core_radius[k].value;
-				sum += weights_s_thickness[i].weight*weights_w_thickness[j].weight
-					* weights_core_radius[k].weight*(dp.core_radius+dp.n_pairs*dp.s_thickness+(dp.n_pairs-1.0)*dp.w_thickness);
-				norm += weights_s_thickness[i].weight*weights_w_thickness[j].weight* weights_core_radius[k].weight;
-			}
-		}
-	}
-	if (norm != 0){
-		//return the averaged value
-		rad_out =  sum/norm;}
-	else{
-		//return normal value
-		rad_out = (dp.core_radius+dp.n_pairs*dp.s_thickness+(dp.n_pairs-1.0)*dp.w_thickness);}
+  // Loop over major shell weight points
+  for(int i=0; i< (int)weights_s_thickness.size(); i++) {
+    dp.s_thickness = weights_s_thickness[i].value;
+    for(int j=0; j< (int)weights_w_thickness.size(); j++) {
+      dp.w_thickness = weights_w_thickness[j].value;
+      for(int k=0; k< (int)weights_core_radius.size(); k++) {
+        dp.core_radius = weights_core_radius[k].value;
+        sum += weights_s_thickness[i].weight*weights_w_thickness[j].weight
+            * weights_core_radius[k].weight*(dp.core_radius+dp.n_pairs*dp.s_thickness+(dp.n_pairs-1.0)*dp.w_thickness);
+        norm += weights_s_thickness[i].weight*weights_w_thickness[j].weight* weights_core_radius[k].weight;
+      }
+    }
+  }
+  if (norm != 0){
+    //return the averaged value
+    rad_out =  sum/norm;}
+  else{
+    //return normal value
+    rad_out = (dp.core_radius+dp.n_pairs*dp.s_thickness+(dp.n_pairs-1.0)*dp.w_thickness);}
 
-	return rad_out;
+  return rad_out;
 }
Index: sansmodels/src/c_models/parallelepiped.cpp
===================================================================
--- sansmodels/src/c_models/parallelepiped.cpp	(revision 8343e18b86d18130057f1d8c582e4042eec09721)
+++ sansmodels/src/c_models/parallelepiped.cpp	(revision 82c11d354f0cffa7741bd2e74e0641e042eeb034)
@@ -22,5 +22,4 @@
 
 #include <math.h>
-#include "models.hh"
 #include "parameters.hh"
 #include <stdio.h>
Index: sansmodels/src/c_models/polygausscoil.cpp
===================================================================
--- sansmodels/src/c_models/polygausscoil.cpp	(revision 67424cdc019bde2f4cbc089828ff660e6f914c2c)
+++ sansmodels/src/c_models/polygausscoil.cpp	(revision 82c11d354f0cffa7741bd2e74e0641e042eeb034)
@@ -21,12 +21,11 @@
 
 #include <math.h>
-#include "models.hh"
 #include "parameters.hh"
 #include <stdio.h>
 using namespace std;
+#include "polygausscoil.h"
 
 extern "C" {
 	#include "libTwoPhase.h"
-	#include "polygausscoil.h"
 }
 
Index: sansmodels/src/c_models/sc.cpp
===================================================================
--- sansmodels/src/c_models/sc.cpp	(revision 6e10cffb542a4045bc3c41ac60c4abf3ed220bb2)
+++ sansmodels/src/c_models/sc.cpp	(revision 82c11d354f0cffa7741bd2e74e0641e042eeb034)
@@ -21,5 +21,4 @@
 
 #include <math.h>
-#include "models.hh"
 #include "parameters.hh"
 #include <stdio.h>
Index: sansmodels/src/c_models/sphere.cpp
===================================================================
--- sansmodels/src/c_models/sphere.cpp	(revision a8eab1c358d21162446eae5171596814b4f89422)
+++ sansmodels/src/c_models/sphere.cpp	(revision 82c11d354f0cffa7741bd2e74e0641e042eeb034)
@@ -21,5 +21,4 @@
 
 #include <math.h>
-#include "models.hh"
 #include "parameters.hh"
 #include <stdio.h>
